Name: libcdson
Version: 1.0.0
Release:    1%{?dist}
Summary: Pure C parsing/serialization for the DSON data format, for humans
License: MPL-2.0
URL: https://github.com/frozencemetery/cdson
Source0: https://github.com/frozencemetery/cdson/releases/download/v%{version}/cdson-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: git
BuildRequires: meson

Patch0001: 0001-tests-fix-build-on-legacy-32-bit-machines.patch
Patch0002: 0002-build-version-the-shared-objects.patch

%global desc \
A pure C parsing and serialization library for the DSON data serialization \
format, for humans. cdson is believed to have complete spec coverage, though \
as with any project, there may still be bugs. \
%{nil}
%description %{desc}

%package devel
Summary: Development headers for libcdson
Requires: %{name} = %{version}-%{release}

%description devel
%desc

%prep
%autosetup -S git_am -n cdson-%{version}

%build
CFLAGS="%{build_cflags} -Wno-error=unused-result"
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
